# Add to each commit Link: https://github.com/$REPO/pull/$PRID
if ! $GIT filter-repo --message-callback "
return message + b\"Link: https://github.com/$REPO/pull/$PRID\"
- " --refs $BRANCH..$LOCAL_PR_BRANCH; then
+ " --refs $BRANCH..$LOCAL_PR_BRANCH --force; then
echo "Failed to add Link: Pull Request tag" >&2
exit 9
fi
# Remove any previous SoB tag if the Pull Request Author and Committer match
if ! $GIT filter-repo --message-callback "
return message.replace(b\"Signed-off-by: $(git config user.name) <$(git config user.email)>\",b\"\")
- " --refs $BRANCH..$LOCAL_PR_BRANCH; then
+ " --refs $BRANCH..$LOCAL_PR_BRANCH --force; then
echo "Failed to remove previous Committer SoB tag" >&2
exit 9
fi